<%@ page language="java" %> 
<%@taglib uri="/WEB-INF/tld/com_iplanet_jato/jato.tld" prefix="jato"%> 
<%@taglib uri="/WEB-INF/tld/com_sun_web_ui/cc.tld" prefix="cc"%>
<%@taglib uri="/WEB-INF/lib/sa.tld" prefix="sa"%>

<jato:useViewBean className="com.sun.netstorage.mgmt.fm.storade.ui.viewbeans.admin.SNMPNotificationViewBean">

<script language="javascript">
// This function will toggle the disabled state of action buttons
// depending on single or multiple selections.

function toggleDisabledState() {
   // Action button and menu names.
   var delButton = "SNMPNotification.deleteButton";
   var modButton = "SNMPNotification.modifyButton";

   // Element name (prefix) of selection checkbox/radiobutton.
   var elementName = "SNMPNotification.SNMPContractsTable.Selection";
  
   // Document form.
   var form = document.emailForm;
 
   // Flag indicating to disable action button and menu options.
   var disabled = true;
   var numChecked = 0;
   // Set flags according to single or multiple selections.
   for (i = 0; i < form.elements.length; i++) {
        var e = form.elements[i];

        if (e.name.indexOf(elementName) != -1) {
             if (e.checked) {
                disabled = false;
                numChecked ++;
            }
        }
   }
  
   // Toggle action button disabled state.
   ccSetButtonDisabled(delButton, "emailForm", disabled);
   if(numChecked > 1) {
      ccSetButtonDisabled(modButton, "emailForm", true);
   } else {
      ccSetButtonDisabled(modButton, "emailForm", disabled);
   }
}
</script>

<sa:primarymasthead name="Masthead" showDefaultPageTitle="simple">
<jato:form name="emailForm" method="post">
<!-- Bread Crumb component -->

<cc:spacer name="spacer" height="15" newline="true"/>

<cc:actiontable 
 name="SNMPContractsTable" 
 bundleID="appBundle" 
 title="table.title.allSnmps" 
 summary="table.summary.snmps" 
 empty="table.empty.snmps" 
 selectionType="multiple"
 selectionJavascript="toggleDisabledState()"
 showAdvancedSortingIcon="true" 
 showLowerActions="true" 
 showPaginationControls="true" 
 showPaginationIcon="false" 
 showSelectionIcons="true" 
 page="1" />

</jato:form>
</sa:primarymasthead>
</jato:useViewBean>
