<%@ page language="java" %> 
<%@taglib uri="/WEB-INF/tld/com_iplanet_jato/jato.tld" prefix="jato"%> 
<%@taglib uri="/WEB-INF/tld/com_sun_web_ui/cc.tld" prefix="cc"%>
<%@taglib uri="/WEB-INF/lib/sa.tld" prefix="sa"%>

<jato:useViewBean className="com.sun.netstorage.mgmt.fm.storade.ui.viewbeans.admin.GeneralSetupViewBean">

<sa:primarymasthead name="Masthead">

<jato:form name="generalSetupForm">

<!-- Page Title --> 
<cc:pagetitle 
  name="PageTitle" 
  bundleID="appBundle"
  pageTitleText="page.title.generalSetup" 
  showPageTitleSeparator="true"
  showPageButtonsTop="true"
  showPageButtonsBottom="true">

<!-- PropertySheet -->
  <cc:propertysheet 
   name="GeneralSetupPropertySheet" 
   bundleID="appBundle" 
   showJumpLinks="true"
   addJavaScript="true" />

</cc:pagetitle>

</jato:form>

<script language="JavaScript">
function validate() {

    if(!ps_CheckRequiredFields()) return false;
    if(!qty_check(document.getElementById("refreshRateFor"),
	          5, -999, 
	         "<cc:text name="JSAlert" bundleID="appBundle" defaultValue="js.alert.refreshRate" escape="false"/>")) 
        return false;
       
    if(!qty_check(document.getElementById("maxSizeFor"),
	          1, -999, 
	         "<cc:text name="JSAlert" bundleID="appBundle" defaultValue="js.alert.logMaxSize" escape="false"/>")) 
        return false;

    return true;


}

</script>

</sa:primarymasthead>

</jato:useViewBean>

